<div class="forgot-bg animated fadeIn">
    <div class="text-center">
      <h4>{{'labelForgotPassword' | translate: lang}}</h4>
    </div>
    <div class="container">
      <div class="row mt-3 mb-3">
        <div class="col mobile-fotgot">
          <form [formGroup]="forgotPasswordForm" (ngSubmit)="onSubmit()">
            <mat-form-field appearance="outline">
              <mat-label>{{'labelEmail' | translate: lang}}</mat-label>
              <input matInput type="text" formControlName="userEmail" autocomplete="off" [placeholder]="'labelEmail' | translate: lang" name="Email address"
                required/>
                <mat-hint *ngIf="(forgotPasswordForm.controls['userEmail'].invalid && (forgotPasswordForm.controls['userEmail'].dirty || forgotPasswordForm.controls['userEmail'].touched))">
                    <mat-error *ngIf="forgotPasswordForm.controls['userEmail'].errors.required">
                        {{'errorRequired' | translate: lang}}
                    </mat-error>
                    <mat-error *ngIf="forgotPasswordForm.controls['userEmail'].errors.pattern && !forgotPasswordForm.controls['userEmail'].errors.required">
                      {{'errorValidEmail' | translate: lang}}
                    </mat-error>
                  </mat-hint>
            </mat-form-field>
            <div class="col-md-12 padding0px">
              <ngx-recaptcha2 #captchaElem *ngIf="isInBrowser"
              [siteKey]="siteKey"
              [size]="captchaSize"
              [hl]="captchaLanguage"
              [theme]="captchaTheme"
              [type]="captchaType"
              formControlName="isCaptchaVerified">
                </ngx-recaptcha2>
                <mat-hint *ngIf="(forgotPasswordForm.controls['isCaptchaVerified'].invalid && (forgotPasswordForm.controls['isCaptchaVerified'].dirty || forgotPasswordForm.controls['isCaptchaVerified'].touched))">
                  <mat-error  *ngIf="forgotPasswordForm.controls['isCaptchaVerified'].errors.required">
                      {{'errorRequired' | translate: lang}}
                  </mat-error>
                </mat-hint>
            </div>
            <button mat-raised-button [disabled]="!forgotPasswordForm.valid"  color="primary" class="mb-2">{{'buttonSubmit' | translate: lang}}</button>
          </form>
        </div>
      </div>
    </div>
  </div>
